Bug 1566735 (CVE-2018-9305) - CVE-2018-9305 exiv2: out of bounds read in IptcData::printStructure in iptc.c
Summary: CVE-2018-9305 exiv2: out of bounds read in IptcData::printStructure in iptc.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9305
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566727 1566738 1568979
Blocks: 1566728
TreeView+ depends on / blocked
 
Reported: 2018-04-12 21:35 UTC by Laura Pardo
Modified: 2021-02-17 00:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read vulnerability has been discovered in IptcData::printStructure in iptc.cpp file of Exiv2 0.26. An attacker could cause a crash or an information leak by providing a crafted image.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:43 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2101 0 None None None 2019-08-06 12:14:34 UTC
Red Hat Product Errata RHSA-2020:1577 0 None None None 2020-04-28 15:27:07 UTC

Description Laura Pardo 2018-04-12 21:35:42 UTC
In Exiv2 0.26, an out-of-bounds read in IptcData::printStructure in iptc.cpp
could result in a crash or information leak, due to use of the untrusted `len`
value without any check.


References:
https://github.com/Exiv2/exiv2/issues/263
https://github.com/xiaoqx/pocs/blob/master/exiv2/readme.md

Comment 1 Laura Pardo 2018-04-12 21:42:38 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1566727]

Comment 3 Riccardo Schirone 2018-04-18 13:03:33 UTC
Statement:

This issue did not affect the versions of Exiv2 as shipped with Red Hat Enterprise Linux 6 and 7, up to 7.4, as they did not include support for printing IPTC Photo Metadata.

Comment 7 errata-xmlrpc 2019-08-06 12:14:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2101 https://access.redhat.com/errata/RHSA-2019:2101

Comment 8 Product Security DevOps Team 2019-08-06 19:18:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-9305

Comment 9 errata-xmlrpc 2020-04-28 15:27:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1577 https://access.redhat.com/errata/RHSA-2020:1577


Note You need to log in before you can comment on or make changes to this bug.